<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.property.mapper.ADeviceInfoMapper">

    <resultMap id="BaseResultMap" type="com.zksy.property.domain.ADeviceInfo">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="simplifiedHouseId" column="simplified_house_id" jdbcType="VARCHAR"/>
            <result property="deviceName" column="device_name" jdbcType="VARCHAR"/>
            <result property="deviceType" column="device_type" jdbcType="VARCHAR"/>
            <result property="deviceBrand" column="device_brand" jdbcType="VARCHAR"/>
            <result property="deviceNumber" column="device_number" jdbcType="VARCHAR"/>
            <result property="devicePrice" column="device_price" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,simplified_house_id,device_name,
        device_type,device_brand,device_number,
        device_price,create_time,update_time
    </sql>
</mapper>
